package com.hyp.web.controller.reward;

import com.hyp.common.core.controller.BaseController;
import com.hyp.common.core.domain.AjaxResult;
import com.hyp.common.core.page.TableDataInfo;
import com.hyp.system.domain.dto.ApplyInfoListDTO;
import com.hyp.system.domain.vo.ApplyInfoListVO;
import com.hyp.web.controller.manager.ApplyInfoListManager;
import com.hyp.web.controller.manager.SysNoticeManager;
import io.swagger.annotations.Api;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * packageName com.hyp.web.controller.apply
 *
 * @author wangxy
 * @version JDK 8
 * @className TestController
 * @date 2024/4/10
 * @description 优秀学校奖申请
 */
@Api("优秀学校奖申请")
@RestController
@RequestMapping("/reward/apply")
public class ApplyController extends BaseController {


    @Resource
    private SysNoticeManager sysNoticeManager;

    @Resource
    private ApplyInfoListManager applyInfoListManager;


    @PreAuthorize("@ss.hasPermi('reward:apply:list')")
    @GetMapping("/list")
    public TableDataInfo list(ApplyInfoListDTO applyInfoListDTO) {
        startPage();
        List<ApplyInfoListVO> list = applyInfoListManager.selectApplyInfoList(applyInfoListDTO);
        return getDataTable(list);
    }


    /**
     * 根据奖项类型生成applyId
     */
    @PreAuthorize("@ss.hasPermi('reward:apply:add')")
    @GetMapping(value = "/getApplyId")
    public AjaxResult getApplyId(@RequestParam String applyType)
    {
        return success(applyInfoListManager.getApplyId(applyType));
    }






}
